Package: org.gradle.platform.base

## [Java] Interface DependencySpec

- A dependency onto a Gradle component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getLibraryName()` Returns the name of the library this dependency refers to.
    `String` | `getProjectPath()` Returns the project path of the project this dependency refers to.

- - ### Method Detail

    - #### @Nullable public String getLibraryName()

      Returns the name of the library this dependency refers to. If null, it should be assumed that the project defines a single library.

      Returns:
        the library name

    - #### @Nullable public String getProjectPath()

      Returns the project path of the project this dependency refers to.

      Returns:
        the project path